import { NextResponse, NextRequest } from 'next/server';

export function middleware(request: NextRequest) {
  if (process.env.NODE_ENV === 'development') {
    const { method, nextUrl } = request;
    if (!nextUrl.pathname.startsWith('/_next')) {
      console.log(`${method} ${nextUrl.pathname}`);
    }
  }
  return NextResponse.next();
}
